little_finger
============
[![Build Status](https://travis-ci.org/honest/little_finger.svg?branch=master)](https://travis-ci.org/honest/little_finger)
[![Gem Version](https://badge.fury.io/rb/little_finger.svg)](http://badge.fury.io/rb/little_finger)

Little Finger is an AvaTax REST API wrapper plus backup tax calculation.

Please visit the AvaTax [developer site](http://developer.avalara.com/) for more information on their REST API.

Dependencies
-----------
TBD

Requirements
----------
- Ruby 1.9.3 or later

Getting Started
----------
- Add the `little_finger` gem to your Gemfile with `gem 'little_finger'`
- Run `bundle install` to retrieve `little_finger` and all its dependencies
- Authentication requires an valid **Account Number** and **License Key**. If you do not have an AvaTax account, a free trial account can be acquired through the [developer site](http://developer.avalara.com/api-get-started)
- Specify your authentication credentials in the YAML file (see `little_finger.yml.example`) and place it in your config folder

Usage
----------
```
To get the connection status to AvaTax:
LittleFinger::Avatax.new.status

To get a tax estimate via geographic coordinates:
LittleFinger::Avatax.new.estimate(coordinates, sale_amount)

To validate an address:
LittleFinger::Avatax.new.validate(address)

To get the tax and optionally create or update a transaction in AvaTax:
LittleFinger::Avatax.new.get(payload)

To cancel an existing transaction:
LittleFinger::Avatax.new.cancel(cancel_code, lookup_opts)

Backup: TBD

```