# This file was generated by the `rspec --init` command. Conventionally, all
# specs live under a `spec` directory, which RSpec adds to the `$LOAD_PATH`.
# Require this file using `require "spec_helper"` to ensure that it is only
# loaded once.
#
# See http://rubydoc.info/gems/rspec-core/RSpec/Core/Configuration

require "little_finger"
ENV["RAILS_ENV"] ||= "test"
require "factory_girl"
require 'pry'
require 'vcr'
require 'webmock'
require_relative "support/helpers/avatax_helper"

FactoryGirl.definition_file_paths = [File.expand_path("../factories", __FILE__)]
FactoryGirl.find_definitions

RSpec.configure do |config|
  config.treat_symbols_as_metadata_keys_with_true_values = true
  config.run_all_when_everything_filtered = true
  config.filter_run :focus

  # Run specs in random order to surface order dependencies. If you find an
  # order dependency and want to debug it, you can fix the order by providing
  # the seed, which is printed after each run.
  #     --seed 1234
  config.order = "random"

  VCR.configure do |c|
    c.cassette_library_dir = 'spec/cassettes'
    c.hook_into :webmock
    c.allow_http_connections_when_no_cassette = false
    c.default_cassette_options = {record: :new_episodes}
    c.configure_rspec_metadata!
    c.filter_sensitive_data("<COMPANY_CODE>") { LittleFinger::Configuration.configuration[:avatax][:company_code] }
    c.filter_sensitive_data("<ACCOUNT_NUMBER>") { LittleFinger::Configuration.configuration[:avatax][:account_number] }
    c.filter_sensitive_data("<LICENSE_KEY>") { LittleFinger::Configuration.configuration[:avatax][:license_key] }
  end
end

def fixtures_folder
  File.join( File.dirname(__FILE__), "fixtures")
end

LittleFinger::Configuration.configure_with("test", File.expand_path("../config.yml", __FILE__))

